--- example_jpysaga.py  2011-09-01 22:02:45.000000000 +0200
+++ example_lsu-python.py       2011-09-01 21:58:49.000000000 +0200
@@ -1,15 +1,14 @@
-import jpysaga as saga
+import saga
  
 try:
     # create an "echo 'hello, world' job"
-    jd = saga.job.JobDescription.create()
+    jd = saga.job.description()
     jd.set_attribute("Executable", "/bin/echo")
     jd.set_vector_attribute("Arguments", ["Hello, World!"])
     jd.set_attribute("Interactive", "True")
  
     # connect to the local job service
-    url = saga.url.URL.create("local://localhost")
-    js = saga.job.JobService.create(url)
+    js = saga.job.service("fork://localhost");
  
     # submit the job
     job = js.create_job(jd)
@@ -22,6 +21,7 @@
     output = job.get_stdout()
     print output.read()
-except saga.error.SagaException, e:
+except saga.exception, e:
     print "ERROR: " 
-    print e.get_message()
+    for err in e.get_all_messages():
+    print err
